ど素人から毛を生やす。<延>

Yahoo!APIのエラーコードめも

Web > EC 2019年2月13日(最終更新:3月前)

Yahoo!のAPIはエラーコード検索できないのが辛いんだってば!!!!

od系(od90101とかod91801とか)

https://developer.yahoo.co.jp/webapi/shopping/orderChange.html
https://developer.yahoo.co.jp/webapi/shopping/orderStatusChange.html
このページのほぼ一番下に一覧があります。(APIの種類によって多少異なるので、これらのページが全てではありません。)

px-04102 AccessToken has been expired. This API session is shorter than another API.

アクセストークンの期限切れ

補足:
アクセストークンの期限は12時間。
クライアント証明書の取得で期限を緩和可能。

px-04103 Client certificate has already been revoked.

API証明書の有効期限切れ、またはストアアカウントが間違っている。

px-04306 Access from this IP address is not allowed.

403 Forbidden
「リソースへのアクセスを許されていないか、利用制限を超えている場合に適用されます。
アプリケーションIDが削除された場合にも返されます。」

実例:
間違ってAPIできなくなってるビジネスIDで実行してしまった。
テスト環境やアカウントを複数持っている場合、別のでやり直してみるへし。

エラーコードじゃないけど、こーいうメッセージも留意

Internal Server Error. リフレッシュトークンが更新できてなくない?
redirect_uri is invalid. コールバックURL間違ってない?
client_id is invalid. アプリケーションIDとか間違ってない?
この記事は役に立ちましたか?
  • _(:3」∠)_ 面白かった (0)
  • (・∀・) 参考になった (0)
  • (`・ω・´) 役に立った (0)